ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 335
Committed: Wed Oct 4 02:30:13 2006 UTC (17 years, 7 months ago) by laffer1
File size: 5060 byte(s)
Log Message:
add games category

File Contents

# Content
1 # $MidnightBSD: mports/Makefile,v 1.20 2006/10/03 18:58:29 wintellect Exp $
2 #
3
4 SUBDIR += accessibility
5 SUBDIR += archivers
6 SUBDIR += audio
7 SUBDIR += converters
8 SUBDIR += databases
9 SUBDIR += devel
10 SUBDIR += dns
11 SUBDIR += editors
12 SUBDIR += emulators
13 SUBDIR += games
14 SUBDIR += german
15 SUBDIR += graphics
16 SUBDIR += irc
17 SUBDIR += lang
18 SUBDIR += mail
19 SUBDIR += math
20 SUBDIR += misc
21 SUBDIR += multimedia
22 SUBDIR += net-im
23 SUBDIR += print
24 SUBDIR += security
25 SUBDIR += shells
26 SUBDIR += sysutils
27 SUBDIR += textproc
28 SUBDIR += www
29 SUBDIR += x11
30 SUBDIR += x11-clocks
31 SUBDIR += x11-fonts
32 SUBDIR += x11-fm
33 SUBDIR += x11-servers
34 SUBDIR += x11-themes
35 SUBDIR += x11-toolkits
36 SUBDIR += x11-wm
37
38 PORTSTOP= yes
39
40 .include <bsd.port.subdir.mk>
41
42 index:
43 @rm -f ${INDEXDIR}/${INDEXFILE}
44 @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
45
46 fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
47 @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
48 chmod a+r ${INDEXDIR}/${INDEXFILE}
49
50 ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
51 @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
52
53 MASTER_SITE_INDEX?= http://www.MidnightBSD.org/ports/
54 SETENV?= /usr/bin/env
55 FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
56 INDEX_JOBS?= 2
57
58 .if !defined(INDEX_VERBOSE)
59 INDEX_ECHO_MSG= echo > /dev/null
60 INDEX_ECHO_1ST= echo -n
61 .else
62 INDEX_ECHO_MSG= echo 1>&2
63 INDEX_ECHO_1ST= echo
64 .endif
65
66 ${INDEXDIR}/${INDEXFILE}:
67 @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
68 if [ "${INDEX_PRISTINE}" != "" ]; then \
69 export LOCALBASE=/nonexistentlocal; \
70 export X11BASE=/nonexistentx; \
71 fi; \
72 tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
73 trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
74 ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
75 ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
76 (rm -rf $${tmpdir} ; \
77 if [ "${INDEX_QUIET}" = "" ]; then \
78 echo; \
79 echo "********************************************************************"; \
80 echo "Before reporting this error, verify that you are running a supported"; \
81 echo "version of MidnightBSD (see http://www.MidnightBSD.org/ports/) and that you"; \
82 echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
83 echo "not supported with partial or out-of-date ports collections -- in"; \
84 echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
85 echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
86 echo "report the failure to ports@MidnightBSD.org together with relevant"; \
87 echo "details of your ports configuration (including MidnightBSD version,"; \
88 echo "your architecture, your environment, and your /etc/make.conf"; \
89 echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
90 echo; \
91 echo "Note: the latest pre-generated version of INDEX may be fetched"; \
92 echo "automatically with \"make fetchindex\"."; \
93 echo "********************************************************************"; \
94 echo; \
95 fi; \
96 exit 1); \
97 cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
98 sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
99 sort -t '|' +1 -2 | \
100 sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
101 if [ "${INDEX_PRISTINE}" != "" ]; then \
102 sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
103 ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
104 else \
105 mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
106 fi; \
107 rm -rf $${tmpdir}; \
108 echo " Done."
109
110 print-index: ${INDEXDIR}/${INDEXFILE}
111 @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
112
113 CVS?= cvs
114 SUP?= cvsup
115 PORTSNAP?= portsnap
116 PORTSNAP_FLAGS?= -p ${.CURDIR}
117 .if defined(SUPHOST)
118 SUPFLAGS+= -h ${SUPHOST}
119 .endif
120 update:
121 .if defined(PORTSNAP_UPDATE)
122 @echo "--------------------------------------------------------------"
123 @echo ">>> Running ${PORTSNAP}"
124 @echo "--------------------------------------------------------------"
125 @${PORTSNAP} ${PORTSNAP_FLAGS} fetch
126 @${PORTSNAP} ${PORTSNAP_FLAGS} update
127 .elif defined(SUP_UPDATE) && defined(PORTSSUPFILE)
128 @echo "--------------------------------------------------------------"
129 @echo ">>> Running ${SUP}"
130 @echo "--------------------------------------------------------------"
131 @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
132 .elif defined(CVS_UPDATE)
133 @echo "--------------------------------------------------------------"
134 @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
135 @echo "--------------------------------------------------------------"
136 cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
137 .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
138 @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
139 @exit 1
140 .else
141 @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
142 .endif

Properties

Name Value
cvs2svn:cvs-rev 1.21